List policy versions
curl --request GET \
--url https://softmax.com/api/observatory/stats/policy-versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/stats/policy-versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/stats/policy-versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entries": [
{
"user_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"policy_created_at": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"is_softmax_team_member": true,
"discord_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"owner_coworld_name": "<string>",
"tags": {},
"attributes": {},
"internal_id": 123,
"container_image_id": "<string>"
}
],
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Policies
List policy versions
Returns policy versions visible to the caller.
GET
/
stats
/
policy-versions
List policy versions
Authorizations
Bearer token issued by Softmax
Query Parameters
Return versions of policies with this exact name.
Return versions of policies whose names contain this text.
Return only this version number.
Return only these policy versions.
Return versions of this policy.
Return versions attributed to this player.
Pattern:
^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$When filtering by player, also include versions not attributed to any player.
Return only versions owned by the caller.
Maximum versions returned.
Required range:
1 <= x <= 200Opaque cursor returned by the previous page.